package com.sqx.modules.bl.massage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.massage.entity.MassagePackage;
import com.sqx.modules.bl.massage.entity.MassagePackageDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MassagePackageDetailDao extends BaseMapper<MassagePackageDetail> {

    IPage<MassagePackageDetail> findPage(Page<MassagePackageDetail> page, @Param("params") MassagePackageDetail massagePackageDetail);
    int updatePrice(MassagePackageDetail massagePackageDetail);
    int updateCount(MassagePackageDetail massagePackageDetail);
    int updateIntervalDays(MassagePackageDetail massagePackageDetail);
    int updateStatus(MassagePackageDetail massagePackageDetail);
    int addMassage(MassagePackageDetail massagePackageDetail);
    int addDetail(MassagePackageDetail massagePackageDetail);
    IPage<MassagePackageDetail> findMassagePage(Page<MassagePackageDetail> page, @Param("params") MassagePackageDetail massagePackageDetail);
    int delete(MassagePackageDetail massagePackageDetail);
    MassagePackage findPackagePrice(MassagePackageDetail massagePackageDetail);
    MassagePackageDetail getAppPackageDetail(Long id);
    MassagePackageDetail findCkLcDetailCount(Long mainId);
}